Name:       olpc-utils
Version:    0.82.27.20080805git7bd5be
Release:    1%{?dist}
Summary:    OLPC utilities
URL:        http://dev.laptop.org/git?p=projects/olpc-utils;a=summary
Group:      System Environment/Base
License:    GPLv2+
Source0:    %{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# for olpc-dm
BuildRequires:  pam-devel
Requires:       pam

# for olpc-configure
Requires:   /usr/bin/find

# for become_root
Requires:   /bin/su

# for olpc-test-devkey
Requires:   olpcupdate >= 2.10

%description

Tools for starting an X session, mapping keys on the OLPC keyboards,
becoming root, and cleaning the datastore.

%prep
%setup -q


%build
make -f Makefile.build %{?_smp_mflags}


%install
rm -rf %{buildroot}
make -f Makefile.build install DESTDIR=%{buildroot}


%post
/sbin/chkconfig --add olpc-configure


%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del olpc-configure
fi


%clean
rm -rf %{buildroot}


%files

%doc COPYING

%defattr(-,root,root,-)

%{_sbindir}/setolpckeys
%{_sbindir}/olpc-dm
%{_bindir}/olpc-logbat
%{_bindir}/olpc-session
%{_bindir}/olpc-pwr-prof
%{_bindir}/olpc-pwr-prof-send
%{_bindir}/olpc-clean-previews
%{_bindir}/olpc-audit
%{_bindir}/olpc-test-devkey
%{_sysconfdir}/profile.d/zzz_olpc.sh
%{_sysconfdir}/cron.d/olpc-pwr-prof.cron
%{_sysconfdir}/rc.d/init.d/olpc-configure
%config(noreplace) %{_sysconfdir}/hal/fdi/policy/x11-input.fdi
%config(noreplace) %{_sysconfdir}/motd.olpc
%config(noreplace) %{_sysconfdir}/X11/xorg-dcon.conf
%config(noreplace) %{_sysconfdir}/X11/xorg-emu.conf
%config(noreplace) %{_sysconfdir}/X11/xorg-vmware.conf
%config(noreplace) %{_sysconfdir}/X11/xorg-dcon-1.3.conf
%config(noreplace) %{_sysconfdir}/X11/xorg-emu-1.3.conf
%config(noreplace) %{_sysconfdir}/pam.d/olpc-login
%config(noreplace) %{_sysconfdir}/udev/rules.d
%config(noreplace) %{_sysconfdir}/skel/.xsession-example
%attr(0755, root, root) %config(noreplace) %{_sysconfdir}/ConsoleKit/run-session.d/pam-foreground-compat.ck

%changelog
* Sat Aug 02 2008 Michael Stone <michael@laptop.org> 0.82-1
- C. Scott Ananian (2):
    dlo#5705: allow specification of the tty used for X on the command line.
    Delint olpc-dm.
- Martin Dengler (1):
    dlo#7442 start olpc-dm on tty3 and no other

* Thu Jul 24 2008 Michael Stone <michael@laptop.org> 0.81-1
- cscott: dlo#317: Set appropriate ICEAUTHORITY, XAUTHORITY, and XSERVERAUTH
  variables to move these to a tmpfs.

* Wed Jul 23 2008 Michael Stone <michael@laptop.org> 0.80-1
- sayamindu: dlo#7474: Choose the XIM method by default.
- pgf: dlo#7537: Be more precise when assigning permissions to /home/olpc.

* Tue Jul 22 2008 Michael Stone <michael@laptop.org> 0.79-1
- cscott: dlo#7495: Trigger activity update on base OS upgrade.

* Tue Jul 08 2008 Michael Stone <michael@laptop.org> 0.78-1
- dsd: dlo#7211: Increase mouse sensitivity.

* Mon Jul 07 2008 Michael Stone <michael@laptop.org> 0.77-1
- Bump revision number.

* Thu Jul 03 2008 C. Scott Ananian <cscott@laptop.org> 0.76-1
- dlo#6432: local installation of RPMs on first boot.
- dlo#7171: move network testing tools to olpc-netutils
- add olpc-test-devkey script to verify a developer key.

* Tue Jun 24 2008 Michael Stone <michael@laptop.org> 0.75-1
- mstone:
    Merge Fedora's divergence.
    Replace autotools with GNUmake.
- erikg: Reduce mouse acceleration.
    dlo#7211: Touchpad is super-sensitive in olpc3 builds.
- dsd/marco: Properly initialize a ConsoleKit session.
    dlo#7266: Can't restart/shutdown system from sugar with olpc3.
    dlo#7289: No USB automount with olpc3.
- ausil:
    include x11-input.fdi
    update xorg-dcon.conf
    (temporarily?) drop our custom sudo implementation.

* Tue May 27 2008 Sayamindu Dasgupta <sayamindu@gmail.com> 0.74-1
- dlo#6945: Added workaround for typo in mfg-data for Ethiopian machines.

* Fri May 16 2008 Michael Stone <michael@laptop.org> - 0.73-1
- dlo#6767: Run make_index.py with a reasonable value of LANG.

* Fri May 16 2008 Sayamindu Dasgupta <sayamindu@gmail.com> - 0.72-1
- dlo#6945: Export GTK_IM_MODULE so that other modules such as Amharic does not get picked up.

* Sun Mar 21 2008 Michael Stone <michael@laptop.org> - 0.71-1
- dlo#5746: Use a more precise udev ignore-me rule for msh* interfaces.

* Sun Mar 02 2008 Michael Stone <michael@laptop.org> - 0.70-1
- Substitute $olpc_usb_version for $olpc_home_version to fix a stupid mistake.

* Sun Mar 02 2008 Michael Stone <michael@laptop.org> - 0.69-1
- Teach olpc-configure about usb customization keys.

* Fri Feb 12 2008 Michael Stone <michael@laptop.org> - 0.68-1
- Import olpc-audit from Marcus
- Import sudo from cscott
- Drop become_root

* Sat Jan 19 2008 Giannis Forgot-to-bump-the-version Galanis <bernie@codewiz.org> - 0.67-1
- Import olpc-netstatus 0.4 from Yanni

* Sat Jan 19 2008 Bernardo Innocenti <bernie@codewiz.org> - 0.66-1
- dlo#5746: Do not try to rename msh0.

* Sat Jan 19 2008 Giannis Galanis <bernie@codewiz.org> - 0.66-1
- dlo#5153: Fix sysfs path to rtap

* Fri Jan 18 2008 Bernardo Innocenti <bernie@codewiz.org> - 0.65-1
- Use GPLv2+ license tag as nothing in this package is GPLv2-only.
- Make preview cleaner robust in the case of a missing datastore
- Do not bother running journal cleaner on fresh installations (saves time on first boot)
- Add a silly TODO list
- Bump revision to 0.65

* Fri Jan 17 2008 Giannis Galanis <bernie@codewiz.org> - 0.65-1
- Import olpc-netlog-0.3 and olpc-netstatus-0.3

* Fri Jan 17 2008 Phil Bordelon <bernie@codewiz.org> - 0.65-1
- Add 'clean-previews' and incorporate it into olpc-configure.

* Mon Jan 14 2008 Michael Stone <michael@laptop.org> - 0.64-1
- 'become_root' script merged upstream.
- Update License field to GPLv2 in order to match the COPYING file.

* Fri Jan 12 2008 Michael Stone <michael@laptop.org> - 0.63-2
- Install a simple 'become_root' script to ease dlo#5537.

* Sat Jan 05 2008 Bernardo Innocenti <bernie@codewiz.org> - 0.63-1
- Rename RPMDIST to DISTVER and DISTVAR to DIST
- dlo#5626: Fix permissions in /home/bernie.

* Thu Jan 03 2008 Bernardo Innocenti <bernie@codewiz.org> - 0.62-1
- Insert extra spacing at the top for cosmetic reasons
- Spacing fixes
- Add missing cron job for olpc-pwr-prof

* Thu Jan 03 2008 Richard Smith <bernie@codewiz.org> - 0.62-1
- Power profile scripts

* Thu Jan 03 2008 Michael Stone <bernie@codewiz.org> - 0.61-1
- Construct Rainbow's spool dir if it doesn't exist - #5033
- Ensure /security has reasonable permissions.

* Wed Jan 02 2008 Bernardo Innocenti <bernie@codewiz.org> - 0.60-1
- Depend on /usr/bin/find
- Remove files in $OLPC_HOME before creating them.
- Add missing dependencies.
- Use /ofw/openprom/model instead of olpc-bios-sig
- Add more missing dependencies
- Remove stray reference to olpc-bios-sig.c.
- Pass absolute paths to rpmbuild
- Add back sbin dirs to unprivileged users PATH
- Invoke rainbow-replay-spool

* Thu Dec 20 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.59-1
- Remove stupid 'exit 0' in zzz_olpc.sh that makes bash *exit* rather than skip the scriptlet
- Depend on tcpdump for olpc-netcapture.

* Sun Dec 16 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.58-1
- Fix version replacement in spec file

* Sun Dec 16 2007 Giannis Galanis <bernie@codewiz.org> - 0.57-1
- Merge olpc-netstatus 0.2
- Merge olpc-netlog 0.2

* Fri Dec 14 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.56-1
- Really bump revision

* Fri Dec 14 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.55-1
- Add a couple of new languages
- Add missing files
- Ensure correct keyboard is loaded even on first boot
- Don't create /root/.i18n as it makes us loose the boot time optimization
- Add code to help us improve boot time

* Fri Dec 07 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.54-1
- Add VMware configuration.
- Fix http://dev.laptop.org/ticket/5320
- Display motd in profile, not through /bin/login

* Mon Dec 03 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.53-1
- Simplyfy setxkb invocation
- Add ASCII art for motd (need more translations)
- More languages for the motd
- Replace fake input driver hack with proper config option.

* Mon Dec 03 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.52-1
- Fix http://dev.laptop.org/ticket/5114
- Simplify test for Geode
- Reindent with TABs to match other init scripts
- Remove check for A-test boards (the following code is harmelss)
- Be a little more verbose on progress.
- Fix https://dev.laptop.org/ticket/5217: Update library index
- Only run checks on start
- Use $OLPC_HOME consistently
- Only run hardware configuration on startup.
- Fix numeric test on empty flag file.
- Bump revision

* Fri Nov 30 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.51-2
- Add olpc-netcapture to %%files

* Fri Nov 30 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.51-1
- Fix olpc#5195: Console font too small when using pretty boot.
- Bump revision

* Fri Nov 30 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.50-1
- Add autoconf check for PAM
- Update spec file
- Merge branch 'master' of ssh://bernie@dev.laptop.org/git/projects/olpc-utils
- Automatically push to origin on bumprev
- Fix bumprev rule
- Bump revision

* Wed Nov 28 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.49-1
- Reorganize variables
- Fix http://dev.laptop.org/ticket/4928
- Fix permissions on /home/olpc
- Bump revision

* Mon Nov 26 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.48-1
- Pacify automake's portability warnings
- Update spec file
- Even more aggressive packaging automation
- Add script to import srpms in Fedora.
- Merge commit 'cscott/master'
- Explicitly strip NUL from mfg tags
- Add cvs-import.sh to EXTRADIST
- Fix https://dev.laptop.org/ticket/4762
- Bump revision

* Mon Nov 26 2007 C. Scott Ananian <bernie@codewiz.org> - 0.47-1
- Separate out configuration done to /home and /.
- Create /home/devkey.html, which can be used to request a developer key.

* Wed Nov 21 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.46-1
- Automate the release process a bit more.
- Approximate XOs DPI on emulators.
- ReTAB.
- Automate specfile generation some more
- Ignore a few more generated files.
- Set i18n settings from the new manufacturing data tags
- Go back to starting sugar with /usr/bin/sugar.
- Bump revision

* Sat Nov 17 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.45-1
- Add bumprev rule
- Merge branch 'master' of ssh://bernie@dev.laptop.org/git/projects/olpc-utils
- Add rule to generate RPM changelog.
- Add support for X 1.3
- Bump revision

* Wed Nov 14 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.44-1
- Don't specify the (olpc) XKB variant esplicitly when not needed
- Fix http://dev.laptop.org/ticket/470
- Bump revision

* Mon Nov 13 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.43-2
- Typo: /etc/skel/.xession-example -> /etc/skel/.xsession-example
- Add "ulimit -c unlimited" example in .xsession-example

* Mon Nov 06 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.43-1
- Reverse check for A-test (bad monkey no bananas)
- Restore i18n, integrate /usr/bin/sugar.
- Disable .tar.gz and bump revision
- Fix check for sugar debug for new scheme.

* Mon Nov 06 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.41-3
- Be more specific in instructions on how to generate tarball
- Install .xession-example in /etc/skel
- REALLY drop obsolete olpc-register

* Mon Nov 05 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.41-2
- Drop obsolete olpc-register

* Mon Nov 05 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.41-1
- Source custom user session last, so they can override everything we did

* Mon Nov 05 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.40-1
- Bump revision to 0.40
- Rename user session to .xsession so it sounds familiar
- Make .i18n owned by user olpc and simplify script
- Fix X config file on qemu (untested)
- Improve override mechanism and make XKB_VARIANT optional
- Simplify by using extended XKB syntax instead of a separate XKB_VARIANT
- Remove now useless nvram code for DCON detection
- Add support for /etc/sysconfig/keyboard

* Mon Nov 03 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.33-1
- Bump revision
- Rename custom user session to ~/.olpcinit to avoid sourcing stale .xinitrc file on updates.
- Delete stray xorg.conf left by old versions of pilgrim.
- Make olpc-configure executable

* Mon Nov 02 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.32-1
- Bump revision to 0.32
- Juggle keyboard and language configuration stuff between olpc-configure
  and olpc-session

* Mon Nov 01 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.31-1
- Bump revision to 0.31
- Make olpc-configure pkgconfig compliant

* Mon Oct 31 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.30-1
- Bump revision to 0.30
- Whitespace cleanup
- Fix compiler warnings
- Add xorg.conf files
- Add olpc-netlog and olpc-netstatus
- Add olpc-session (replaces .xinitrc)
- Add olpc-logbat from Richard Smith
- Add olpc-configure

* Mon Oct 15 2007 Bernardo Innocenti <bernie@codewiz.org> - 0.20-1
- Add olpc-dm
- Switch to automake
- Drop olpc-evdev
- Temporarily disable olpc-register because nobody seems to know what it was for

* Tue Jul 31 2007 Dan Williams <dcbw@redhat.com> - 0.15-1.1
- Add registration utility

* Sat Jun 23 2007 Rahul Sundaram <sundaram@redhat.com> 0.15
- Upstream pull, more spec file cleanup
* Thu Jun 21 2007 Rahul Sundaram <sundaram@redhat.com> 0.11-2
- Spec file cleanup as per review
* Wed Jun 20 2007 Rahul Sundaram <sundaram@redhat.com 0.11-1
- Newer source from J5 which fixes a permission issue. Fix build root cleanup.
* Wed Jun 20 2007 Rahul Sundaram <sundaram@redhat.com 0.10-1
- Newer source and spec cleanups from J5
* Wed Jun 20 2007 Rahul Sundaram <sundaram@redhat.com 0.1-3
- Split off dbench. Added a description for bios signature tool.
* Wed Jun 20 2007 Rahul Sundaram <sundaram@redhat.com> - 0.1-2
- Submit for review in Fedora
* Fri Nov 10 2006 John (J5) Palmieri <johnp@redhat.com> - 0.1-1
- initial package
